Subject: Re: [PATCH v3 net-next 2/4] net: dsa: Link aggregation support

From: Andrew Lunn <[email-masked]>
Date: Fri, 4 Dec 2020 02:33:20 +0100

> Of course, neither is fully correct. There is always more to improve on
> the communication side of things.

I wonder if switchdev needs to gain an enumeration API? A way to ask
the underlying driver, what can you offload? The user can then get an
idea what is likely to be offloaded, and what not. If that API is fine
grain enough, it can list the different LAG algorithms supported.

      Andrew